import { jsx as o } from "react/jsx-runtime";
import { useDynamicImport as e } from "./index-use-dynamic-import.js";
import { ComponentContainer as s } from "./index-ComponentContainer.js";
import "react";
const f = (r) => {
  const {
    variant: t
  } = r, n = (a) => {
    switch (a) {
      case "b&w":
        return "bw_loading_dots";
      case "color":
      default:
        return "color_loading_dots";
    }
  }, {
    SvgIcon: i,
    loading: c,
    error: l
  } = e(`gifs/${n(t)}.gif`);
  return o(s, {
    style: {
      padding: 5
    },
    children: o("img", {
      style: {
        width: 25,
        height: 15
      },
      src: i,
      alt: ""
    })
  });
};
export {
  f as SmallLoader
};
